curl --request GET \
--url https://secureapi.tender.cash/v1/api/wallet \
--header 'authorization: <api-key>' \
--header 'x-access-id: <x-access-id>' \
--header 'x-request-id: <x-request-id>' \
--header 'x-timestamp: <x-timestamp>'const options = {
method: 'GET',
headers: {
authorization: '<api-key>',
'x-timestamp': '<x-timestamp>',
'x-request-id': '<x-request-id>',
'x-access-id': '<x-access-id>'
}
};
fetch('https://secureapi.tender.cash/v1/api/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://secureapi.tender.cash/v1/api/wallet"
headers = {
"authorization": "<api-key>",
"x-timestamp": "<x-timestamp>",
"x-request-id": "<x-request-id>",
"x-access-id": "<x-access-id>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://secureapi.tender.cash/v1/api/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-access-id: <x-access-id>",
"x-request-id: <x-request-id>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "success",
"data": [
{
"wallet_reference": "acme-user-8821",
"addresses": [
{
"network": "EVM",
"address": "0x4f2a9b...",
"gasless_address": "0x9c1b7e...",
"address_reference": "3f6c1e9a-2b7d-4e8f-9a10-5c4b3a2d1e0f"
}
]
}
],
"total": 42,
"pages": 3,
"page": 1,
"limit": 20
}{
"status": "error",
"message": "limit must not be greater than 100",
"data": null
}{
"status": "error",
"message": "INVALID_REQUEST_SIGNATURE",
"data": null
}{
"status": "error",
"message": "Too many requests. Max 120 per 60s.",
"data": null
}List Wallets
Retrieve all subwallets created under your merchant account
curl --request GET \
--url https://secureapi.tender.cash/v1/api/wallet \
--header 'authorization: <api-key>' \
--header 'x-access-id: <x-access-id>' \
--header 'x-request-id: <x-request-id>' \
--header 'x-timestamp: <x-timestamp>'const options = {
method: 'GET',
headers: {
authorization: '<api-key>',
'x-timestamp': '<x-timestamp>',
'x-request-id': '<x-request-id>',
'x-access-id': '<x-access-id>'
}
};
fetch('https://secureapi.tender.cash/v1/api/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://secureapi.tender.cash/v1/api/wallet"
headers = {
"authorization": "<api-key>",
"x-timestamp": "<x-timestamp>",
"x-request-id": "<x-request-id>",
"x-access-id": "<x-access-id>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://secureapi.tender.cash/v1/api/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-access-id: <x-access-id>",
"x-request-id: <x-request-id>",
"x-timestamp: <x-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": "success",
"message": "success",
"data": [
{
"wallet_reference": "acme-user-8821",
"addresses": [
{
"network": "EVM",
"address": "0x4f2a9b...",
"gasless_address": "0x9c1b7e...",
"address_reference": "3f6c1e9a-2b7d-4e8f-9a10-5c4b3a2d1e0f"
}
]
}
],
"total": 42,
"pages": 3,
"page": 1,
"limit": 20
}{
"status": "error",
"message": "limit must not be greater than 100",
"data": null
}{
"status": "error",
"message": "INVALID_REQUEST_SIGNATURE",
"data": null
}{
"status": "error",
"message": "Too many requests. Max 120 per 60s.",
"data": null
}x-access-id, x-request-id, x-timestamp, and an HMAC-SHA256
authorization signature. See Authentication.data.
Example
const res = await fetch(`${BASE}/wallet?page=1&limit=20`, {
headers: makeHeaders(),
});
const { data, total, pages, page, limit } = await res.json();
/*
data: [
{
wallet_reference: 'acme-user-8821',
addresses: [
{ network: 'EVM', address: '0x4f2a...', gasless_address: '0x9c1b...', address_reference: '3f6c1e9a-...' },
{ network: 'BTC', address: 'bc1q...', gasless_address: null, address_reference: 'c90e5a12-...' }
]
}
],
total: 42, pages: 3, page: 1, limit: 20
*/
res = requests.get(
f"{BASE}/wallet",
headers=make_headers(),
params={"page": 1, "limit": 20},
)
body = res.json()
wallets = body["data"]
total = body["total"]
Headers
{"timeStamp":"<x-timestamp>","requestId":"<x-request-id>","accessId":"<x-access-id>"}, signed with your access secret. The request body is not part of the signature.Example: "pV3n0o8kq0lK2mJ8bZ1yq3Yt6hR0cXK9u4mVJ2l9sE0=""2026-10-15T09:45:53.000Z""550e8400-e29b-41d4-a716-446655440000""your-access-id-here"Query Parameters
1. Defaults to 1.Example: 11 to 100. Defaults to 20. Values above 100 return 400.Example: 20Response
"success""success"Show wallet object
Show wallet object
"acme-user-8821"423120Authorizations
Signed (HMAC) authentication. Required headers: x-access-id, x-request-id (UUID v4), x-timestamp (ISO 8601, must be within 5 minutes of server time), and authorization: the Base64 HMAC-SHA256 of the JSON string {"timeStamp":"","requestId":"","accessId":""} (keys in that order, no whitespace) using your access secret. The request body, method and path are not signed. The API key must be linked to an outlet.
Headers
Base64-encoded HMAC-SHA256 signature of {"timeStamp":"","requestId":"","accessId":""}, signed with your access secret. The request body is not part of the signature.
ISO 8601 timestamp; must be within 5 minutes of server time
A unique UUID v4 per request
Query Parameters
Page number, starting at 1. Defaults to 1.
x >= 1Items per page, 1-100. Defaults to 20.
1 <= x <= 100